ServiceInfo.Fields
Date: 2017-02-10

javax.jmdns

## Enum ServiceInfo.Fields

- java.lang.Object
- - java.lang.Enum<ServiceInfo.Fields>
  - - javax.jmdns.ServiceInfo.Fields

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ServiceInfo.Fields>
  Enclosing class:
    ServiceInfo

      public static enum ServiceInfo.Fields
      extends java.lang.Enum<ServiceInfo.Fields>

  Fields for the fully qualified map.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Application` Application Field.
    `Domain` Domain Field.
    `Instance` Instance Field.
    `Protocol` Protocol Field.
    `Subtype` Subtype Field.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ServiceInfo.Fields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ServiceInfo.Fields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Domain

          public static final ServiceInfo.Fields Domain

      Domain Field.

    - #### Protocol

          public static final ServiceInfo.Fields Protocol

      Protocol Field.

    - #### Application

          public static final ServiceInfo.Fields Application

      Application Field.

    - #### Instance

          public static final ServiceInfo.Fields Instance

      Instance Field.

    - #### Subtype

          public static final ServiceInfo.Fields Subtype

      Subtype Field.

  - ### Method Detail

    - #### values

          public static ServiceInfo.Fields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServiceInfo.Fields c : ServiceInfo.Fields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServiceInfo.Fields valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null